Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2275123004: Downgrade security state while displaying an SB interstitial (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 months ago by felt (OOO)
Modified:
10 months, 4 weeks ago
Reviewers:
Jialiu Lin, estark
CC:
chromium-reviews, grt+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@dangerstate
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Downgrade security state while displaying an SB interstitial BUG=615123 TBR=jialiul@chromium.org TEST= 1. Go to the following URLs in different tabs: http://ianfette.org http://parkerly.com/sb-tests/bad-subresources.html https://parkerly.com/sb-tests/bad-subresources.html 2. Verify that the omnibox security indicator shows a red triangle for all three warnings Committed: https://crrev.com/49e363a7209ccde311170742af9844b619099c93 Cr-Commit-Position: refs/heads/master@{#414700}

Patch Set 1 #

Patch Set 2 : Added tests #

Total comments: 8

Patch Set 3 : Style nits #

Patch Set 4 : Rebased #

Patch Set 5 : bugfix #

Patch Set 6 : Moar bugfix (thanks trybots!!) #

Unified diffs Side-by-side diffs Delta from patch set Stats (+129 lines, -75 lines) Patch
M chrome/browser/safe_browsing/safe_browsing_blocking_page_test.cc View 1 2 3 4 2 chunks +41 lines, -32 lines 0 comments Download
M chrome/browser/safe_browsing/ui_manager.h View 2 chunks +14 lines, -9 lines 0 comments Download
M chrome/browser/safe_browsing/ui_manager.cc View 1 2 3 4 6 chunks +46 lines, -19 lines 0 comments Download
M chrome/browser/safe_browsing/ui_manager_unittest.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ssl/chrome_security_state_model_client.cc View 1 2 3 3 chunks +27 lines, -14 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 29 (16 generated)
felt (OOO)
estark, jialiul, PTAL? https://codereview.chromium.org/2275123004/diff/20001/chrome/browser/safe_browsing/safe_browsing_blocking_page_test.cc File chrome/browser/safe_browsing/safe_browsing_blocking_page_test.cc (right): https://codereview.chromium.org/2275123004/diff/20001/chrome/browser/safe_browsing/safe_browsing_blocking_page_test.cc#newcode1108 chrome/browser/safe_browsing/safe_browsing_blocking_page_test.cc:1108: EXPECT_NE(0u, model_client->GetSecurityInfo().cert_status); Note: this line (which ...
11 months ago (2016-08-25 06:10:34 UTC) #3
estark
I like the way you did it as part of the whitelist check instead of ...
11 months ago (2016-08-25 06:54:06 UTC) #4
felt (OOO)
https://codereview.chromium.org/2275123004/diff/20001/chrome/browser/safe_browsing/ui_manager.cc File chrome/browser/safe_browsing/ui_manager.cc (right): https://codereview.chromium.org/2275123004/diff/20001/chrome/browser/safe_browsing/ui_manager.cc#newcode63 chrome/browser/safe_browsing/ui_manager.cc:63: auto iter = pending_.find(url.GetWithEmptyPath()); On 2016/08/25 06:54:06, estark wrote: ...
11 months ago (2016-08-25 15:17:27 UTC) #5
Jialiu Lin
LGTM On Thu, Aug 25, 2016 at 8:17 AM <felt@chromium.org> wrote: > > > https://codereview.chromium.org/2275123004/diff/20001/chrome/browser/safe_browsing/ui_manager.cc ...
11 months ago (2016-08-25 15:28:06 UTC) #6
estark
lgtm https://codereview.chromium.org/2275123004/diff/20001/chrome/browser/safe_browsing/ui_manager.cc File chrome/browser/safe_browsing/ui_manager.cc (right): https://codereview.chromium.org/2275123004/diff/20001/chrome/browser/safe_browsing/ui_manager.cc#newcode166 chrome/browser/safe_browsing/ui_manager.cc:166: AddToWhitelistUrlSet(resource, false /* Pending -> permanent */); On ...
11 months ago (2016-08-25 15:39:54 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2275123004/80001
10 months, 4 weeks ago (2016-08-26 05:20:59 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/246790)
10 months, 4 weeks ago (2016-08-26 05:26:45 UTC) #12
felt (OOO)
jialiu, l-g-t-m's don't work from email responses. can you reply on thread please? thank you!
10 months, 4 weeks ago (2016-08-26 05:27:31 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2275123004/80001
10 months, 4 weeks ago (2016-08-26 05:28:28 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: android_compile_dbg on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_compile_dbg/builds/119162) mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
10 months, 4 weeks ago (2016-08-26 05:30:16 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2275123004/100001
10 months, 4 weeks ago (2016-08-26 13:05:51 UTC) #25
commit-bot: I haz the power
Committed patchset #6 (id:100001)
10 months, 4 weeks ago (2016-08-26 13:46:31 UTC) #27
commit-bot: I haz the power
10 months, 4 weeks ago (2016-08-26 13:47:58 UTC) #29
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/49e363a7209ccde311170742af9844b619099c93
Cr-Commit-Position: refs/heads/master@{#414700}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973